*[data-anim]:not([data-anim="none"]),
*[data-anim]:not([data-anim="none"]) .anim-child {
   animation-fill-mode: both;
	animation-duration: 1s
}

*[data-anim-speed="slow"],
*[data-anim-speed="slow"] .anim-child {
	animation-duration: 1.5s !important
}

*[data-anim-speed="slower"],
*[data-anim-speed="slower"] .anim-child {
	animation-duration: 2s !important
}

*[data-anim-speed="slowest"],
*[data-anim-speed="slowest"] .anim-child {
	animation-duration: 3s !important
}

*[data-anim-speed="fast"],
*[data-anim-speed="fast"] .anim-child {
	animation-duration: .6s !important
}

*[data-anim-speed="faster"],
*[data-anim-speed="faster"] .anim-child {
	animation-duration: 0.3s !important
}@keyframes flipInY {
	0% {
      transform: perspective(400px) rotateY(90deg);
		opacity: 0
   }

	40% {
		transform: perspective(400px) rotateY(-10deg)
   }

	70% {
      transform: perspective(400px) rotateY(10deg)
   }

	100% {
      transform: perspective(400px) rotateY(0deg);
		opacity: 1
   }
}

*[data-anim="flipInY"]:not([data-anim-sequential="true"]).animate,
*[data-anim="flipInY"][data-anim-sequential="true"] .anim-child.animate {
   backface-visibility: visible !important;
   animation-name: flipInY
}@keyframes fadeInUp {
	0% {
		opacity: 0;
		transform: translateY(100px);
	}

	100% {
		opacity: 1;
		transform: translateY(0);
	}
}

*[data-anim="fadeInUp"]:not([data-anim-sequential="true"]),
*[data-anim="fadeInUp"][data-anim-sequential="true"] .anim-child {
	opacity: 0;
	transform: translateY(100px);
}
	
*[data-anim="fadeInUp"]:not([data-anim-sequential="true"]).animate,
*[data-anim="fadeInUp"][data-anim-sequential="true"] .anim-child.animate {
	animation-name: fadeInUp;
}@keyframes growIn {
	0% {
      transform: scale(0.4);
		opacity: 0
   }

	50% {
		transform: scale(1.1)
   }

	100% {
      transform: scale(1);
		opacity: 1
   }
}

*[data-anim="growIn"]:not([data-anim-sequential="true"]),
*[data-anim="growIn"][data-anim-sequential="true"] .anim-child {
   transform: scale(0.4);
	opacity: 0;
}
	
*[data-anim="growIn"]:not([data-anim-sequential="true"]).animate,
*[data-anim="growIn"][data-anim-sequential="true"] .anim-child.animate {
	animation-name: growIn;
}@keyframes bounceIn {
	0% {
      opacity: 0;
		transform: scale(.5)
   }

	20% {
      opacity: 1;
		transform: scale(1.1)
   }

	40% {
      transform: scale(0.92)
   }

	60% {
      transform: scale(1.05)
   }

	80% {
		transform: scale(.98)
   }

	100% {
      opacity: 1;
		transform: scale(1)
   }
}

*[data-anim="bounceIn"]:not([data-anim-sequential="true"]),
*[data-anim="bounceIn"][data-anim-sequential="true"] .anim-child {
	opacity: 0;
   transform: scale(.3)
}
	
*[data-anim="bounceIn"]:not([data-anim-sequential="true"]).animate,
*[data-anim="bounceIn"][data-anim-sequential="true"] .anim-child.animate {
	animation-name: bounceIn;
}